## fftw3 3.3.3

=== debian/changelog ===
fftw3 (3.3.3-7ubuntu3) trusty; urgency=medium

  * Add missing build-essential test dependency for the "build" autopkgtest.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Feb 2014 18:15:11 +0100

fftw3 (3.3.3-7ubuntu2) trusty; urgency=medium

  * Don't configure with --enable-neon on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 13:53:13 +0100

fftw3 (3.3.3-7ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove the mpi packages not suitable for main.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 13:14:57 +0100

fftw3 (3.3.3-7) unstable; urgency=low

  * restrict architectures of long dependency of libfftw3-3 (Closes: #710890)
  * enable runtime detected sse2 and avx on x32
  * enable long and quad precision on x32

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 27 Oct 2013 13:48:27 +0100

fftw3 (3.3.3-6) unstable; urgency=low

  * wisdom-manpage.patch: fix wrong example in manpage
  * make transitional libfftw3-3 depend on libfftw3-long3 for compatibility
    with unpackaged software (Closes: #710890)
  * fix-fftw-wisdom-to-conf.patch: fix tool not accepting wisdom files
  * add autopkgtests for tools and basic usage
  * enable runtime detected neon support for arm64

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 26 Oct 2013 17:05:33 +0200

fftw3 (3.3.3-5ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Remove the mpi packages not suitable for main.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Sep 2013 15:43:41 +0200

fftw3 (3.3.3-5) unstable; urgency=low

  * stop building quad library on ia64, really Closes: #709168

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 22 May 2013 19:04:32 +0200

fftw3 (3.3.3-4) unstable; urgency=low

  * texinfo5-compat.patch: fix ftbfs with texinfo5
  * add generated html files to extended-diff-ignore
  * build depend and use gcc-4.8 on ia64, fixes ICE in quad (Closes: #709168)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 21 May 2013 20:37:52 +0200

fftw3 (3.3.3-3) unstable; urgency=low

  * Upload to unstable
  * add powerpcspe to libfftw3-long3 architecture (Closes: #702863)
    Thanks Roland Stigge for the report
  * use canonical Vcs field urls
  * re-add Provides: fftw3, required by mffm-fftw and libaudiomask

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 04 May 2013 12:31:09 +0200

fftw3 (3.3.3-2ubuntu1) raring; urgency=low

  * Merge with Debian (LP: #1088051), remaining changes:
    - remove the mpi packages not suitable for main

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 10 Dec 2012 10:30:19 +0100

fftw3 (3.3.3-2) experimental; urgency=low

  * restrict architectures of libfftw3-dev dependencies on -quad3 and -long3
  * don't build docs in parallel, sometimes leads to broken faq

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 09 Dec 2012 15:31:07 +0100

fftw3 (3.3.3-1ubuntu1) raring; urgency=low

  * Merge with Debian (LP: #1088051), remaining changes:
    - remove the mpi packages not suitable for main

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 09 Dec 2012 00:33:51 +0100

fftw3 (3.3.3-1) experimental; urgency=low

  * New upstream release (Closes: #694401)
  * split the precision libraries into separate packages:
    - libfftw3-single3: single precision
    - libfftw3-double3: double precision
    - libfftw3-long3: long double precision
    - libfftw3-quad3: quad precision (Closes: #691677)
    - libfftw3-3: transitional package depending on single and double
    - libfftw3-dev: depends on all precisions
    - libfftw3-mpi3: continues to contain all precisions
  * Acknowledge NMU, thanks Ansgar Burchardt
  * add debian/source/extended-diff-ignore to ignore generated files
  * add hardening flags to long long test so build log check does not complain
  * drop --with-gcc-arch configure flag, has no effect anymore
  * use dh-autoreconf
  * Bump to standards 3.9.4, no changes required
  * add .NOTPARALLEL to debian/rules
  * escape minus signs in 03_fix_manpages.diff
  * pkg-config.patch: move -lm to Libs.private
  * delete obsolete and disabled 10_uptodate_configure.diff
  * don't install tests as examples, they are not good examples and won't
    compile without files in the source tree

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 01 Dec 2012 19:12:03 +0100
