=== debian/control ===
Source: fftw3
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
           Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: chrpath,
               debhelper (>=7.0.0),
               dh-autoreconf,
               dpkg (>= 1.16.0),
               gfortran,
               texinfo
Build-Depends-Indep: ghostscript (>> 8.63), transfig
Vcs-Git: git://anonscm.debian.org/debian-science/packages/fftw3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/fftw3.git
Homepage: http://fftw.org
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest

Package: libfftw3-3
Architecture: any
Depends: libfftw3-double3 (=${binary:Version}),
         libfftw3-long3 (=${binary:Version}) [amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe s390 s390x sparc x32],
         libfftw3-single3 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Provides: fftw3
Replaces: fftw3
Conflicts: fftw3
Multi-Arch: same
Section: oldlibs
Priority: extra
Description: Library for computing Fast Fourier Transforms
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast.
 This package is a transitional package depending on the packages containing
 the single and double precision libraries.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-single3
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Multi-Arch: same
Replaces: libfftw3-3 (<< 3.3.3-1)
Breaks: libfftw3-3 (<< 3.3.3-1)
Description: Library for computing Fast Fourier Transforms - Single precision
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 for single precision transforms.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-double3
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Multi-Arch: same
Replaces: libfftw3-3 (<< 3.3.3-1)
Breaks: libfftw3-3 (<< 3.3.3-1)
Description: Library for computing Fast Fourier Transforms - Double precision
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 for double precision transforms.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-long3
Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe s390 s390x sparc x32
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Multi-Arch: same
Replaces: libfftw3-3 (<< 3.3.3-1)
Breaks: libfftw3-3 (<< 3.3.3-1)
Description: Library for computing Fast Fourier Transforms - Long precision
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 for long double precision transforms.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-quad3
Architecture: amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 x32
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Multi-Arch: same
Description: Library for computing Fast Fourier Transforms - Quad precision
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 for quad precision transforms.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Replaces: libfftw3-dev (<< 3.3.2-1)
Breaks: libfftw3-dev (<< 3.3.2-1)
Description: Library for computing Fast Fourier Transforms - Tools
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast.
 .
 This package contains the wisdom management tools.

Package: libfftw3-dev
Architecture: any
Section: libdevel
Depends: libfftw3-bin (=${binary:Version}),
         libfftw3-double3 (=${binary:Version}),
         libfftw3-long3 (=${binary:Version}) [amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe s390 s390x sparc x32],
         libfftw3-quad3 (=${binary:Version}) [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 x32],
         libfftw3-single3 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: fftw3-dev
Replaces: fftw3-dev
Conflicts: fftw3-dev
Multi-Arch: same
Description: Library for computing Fast Fourier Transforms - development
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the statically linked
 library, header files and test programs.
 .
 This package contains the header files and static libraries.
 For documentation, see libfftw3-doc.

Package: libfftw3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libfftw3-3
Provides: fftw3-doc
Replaces: fftw3-doc
Conflicts: fftw3-doc
Description: Documentation for fftw version 3
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the documentation for
 the fftw3 library.

Package: libfftw3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libfftw3-dev (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Library for computing Fast Fourier Transforms - debug symbols
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the statically linked
 library, header files and test programs.
 .
 This package contains debug packages.
 .
 For documentation, see libfftw3-doc.
