=== debian/watch ===
version=3

opts=pasv ftp://ftp.fftw.org/pub/fftw/ fftw-([\.0-9]*)\.tar\.gz
