## fftw3 3.3.4

=== debian/changelog ===
fftw3 (3.3.4-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Remove the mpi packages not suitable for main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 02 Dec 2014 22:51:54 +0100

fftw3 (3.3.4-2) unstable; urgency=medium

  * Team upload.
  * fix-runtime-neon-detection.patch: new patch, fixes runtime NEON
    detection on armhf (and also arm64, but NEON is currently
    unconditionnally disabled there). Thanks to Edmund Grimley Evans for
    the patch. (Closes: #767138)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 23 Nov 2014 20:49:59 +0100

fftw3 (3.3.4-1.1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Remove the mpi packages not suitable for main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Nov 2014 12:49:12 +0100

fftw3 (3.3.4-1.1) unstable; urgency=low

  * Add mips64(el), ppc64el and arm64 to the list with long double support.
    (Closes: #763007)

 -- YunQiang Su <syq@debian.org>  Sat, 11 Oct 2014 17:26:31 +0800

fftw3 (3.3.4-1ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Remove the mpi packages not suitable for main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 25 Jul 2014 12:18:03 +0200

fftw3 (3.3.4-1) unstable; urgency=medium

  * New upstream release (Closes: #741851)
    - all patches applied upstream
  * add autopkgtest depend on build-essential (Closes: #740095)
  * Bump to standards 3.9.5, no changes required
  * suggest libfftw3-doc in -dev packages (Closes: #735541)
  * increase debian/compat to 9 and make -dbg package Multi-Arch: same
  * disable neon support on arm64, crashes currently available gcc 4.8.2

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 16 Mar 2014 15:59:47 +0100
