=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Paul Brossier <piem@debian.org>,
            Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: chrpath,
-               debhelper (>=7.0.0),
+               debhelper (>= 9),
                dh-autoreconf,
                dpkg (>= 1.16.0),
                gfortran,
@@ -15,13 +15,13 @@
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/fftw3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/fftw3.git
 Homepage: http://fftw.org
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 
 Package: libfftw3-3
 Architecture: any
 Depends: libfftw3-double3 (=${binary:Version}),
-         libfftw3-long3 (=${binary:Version}) [amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe s390 s390x sparc x32],
+         libfftw3-long3 (=${binary:Version}) [amd64 arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64 mips64el powerpc powerpcspe ppc64el s390 s390x sparc x32],
          libfftw3-single3 (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -74,7 +74,7 @@
  libfftw3-dev. For documentation, see libfftw3-doc.
 
 Package: libfftw3-long3
-Architecture: amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe s390 s390x sparc x32
+Architecture: amd64 arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64 mips64el powerpc powerpcspe ppc64el s390 s390x sparc x32
 Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libfftw3-bin, libfftw3-dev
@@ -125,6 +125,7 @@
          libfftw3-single3 (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: libfftw3-doc
 Provides: fftw3-dev
 Replaces: fftw3-dev
 Conflicts: fftw3-dev
@@ -155,6 +156,7 @@
 Section: debug
 Priority: extra
 Depends: libfftw3-dev (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: Library for computing Fast Fourier Transforms - debug symbols
  The FFTW library computes Fast Fourier Transforms (FFT) in one or more
  dimensions. It is extremely fast. This package contains the statically linked
