=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 SETCFLAGS := CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' CPPFLAGS='$(CPPFLAGS)'
 
 # common configure options
-archconfflags := $(archconfflags) --prefix=/usr --enable-shared --enable-threads --enable-openmp --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+archconfflags := $(archconfflags) --prefix=/usr --enable-shared --enable-threads --enable-openmp --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) MPILIBS="$(shell mpicc --showme:link)"
 
 build-arch:
 	dh_autoreconf
