## fftw3 3.3.5

=== debian/changelog ===
fftw3 (3.3.5-3~bpo8+1) jessie-backports; urgency=medium

  * Straight backport, fixes NEON support on ARM on Jessie because of
    compiler flag differences.
  * Team upload.

 -- Steffen Moeller <moeller@debian.org>  Tue, 09 May 2017 23:34:36 +0200

fftw3 (3.3.5-3) unstable; urgency=medium

  * fix typo in shlibs file of last upload

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 06 Jan 2017 23:05:04 +0100

fftw3 (3.3.5-2) unstable; urgency=medium

  * add stricter shlib dependencies for partial upgrades (Closes: #849593)
  * mark libfft3-mpi-dev m-a same and libfftw3-doc m-a foreign

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 06 Jan 2017 18:44:49 +0100

fftw3 (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5
  * Update patch fix-runtime-neon-detection.patch.
  * Remove superfluous occurrences of ${shlibs:Depends}.
  * Insert multiarch support via ${misc:Pre-Depends}.
  * Add missing configure step in build-indep. (Closes: #806616)
  * Remove XS-Testsuite field, no longer required.
  * Use current canonical VCS URIs.
  * Bump standards version to 3.9.8, no changes required.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 03 Oct 2016 18:12:31 +0200
