=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fftw3
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Paul Brossier <piem@debian.org>,
            Julian Taylor <jtaylor.debian@googlemail.com>
 Build-Depends: chrpath,
@@ -10,21 +9,20 @@
                dh-autoreconf,
                dpkg (>= 1.16.0),
                gfortran,
+               mpi-default-dev,
                texinfo
 Build-Depends-Indep: ghostscript (>> 8.63), transfig
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/fftw3.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/fftw3.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fftw3.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/fftw3.git
 Homepage: http://fftw.org
-Standards-Version: 3.9.5
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.8
 
 Package: libfftw3-3
 Architecture: any
 Depends: libfftw3-double3 (=${binary:Version}),
          libfftw3-long3 (=${binary:Version}) [amd64 arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64 mips64el powerpc powerpcspe ppc64el s390 s390x sparc x32],
          libfftw3-single3 (=${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Suggests: libfftw3-bin, libfftw3-dev
 Provides: fftw3
 Replaces: fftw3
@@ -43,7 +41,7 @@
 
 Package: libfftw3-single3
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libfftw3-bin, libfftw3-dev
 Multi-Arch: same
@@ -59,7 +57,7 @@
 
 Package: libfftw3-double3
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libfftw3-bin, libfftw3-dev
 Multi-Arch: same
@@ -75,7 +73,7 @@
 
 Package: libfftw3-long3
 Architecture: amd64 arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64 mips64el powerpc powerpcspe ppc64el s390 s390x sparc x32
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libfftw3-bin, libfftw3-dev
 Multi-Arch: same
@@ -91,7 +89,7 @@
 
 Package: libfftw3-quad3
 Architecture: amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 x32
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libfftw3-bin, libfftw3-dev
 Multi-Arch: same
@@ -115,6 +113,22 @@
  .
  This package contains the wisdom management tools.
 
+Package: libfftw3-mpi3
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: libfftw3-mpi-dev
+Multi-Arch: same
+Description: MPI Library for computing Fast Fourier Transforms
+ The FFTW library computes Fast Fourier Transforms (FFT) in one or more
+ dimensions. It is extremely fast. This package contains the shared library
+ versions of the fftw libraries in single, double and long double precisions.
+ Note that on some architectures double is the same as long double in which
+ case there is no long double library.
+ .
+ To get the static library and the header files, you need to install
+ libfftw3-mpi-dev. For documentation, see libfftw3-doc.
+
 Package: libfftw3-dev
 Architecture: any
 Section: libdevel
@@ -123,8 +137,7 @@
          libfftw3-long3 (=${binary:Version}) [amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe s390 s390x sparc x32],
          libfftw3-quad3 (=${binary:Version}) [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 x32],
          libfftw3-single3 (=${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Suggests: libfftw3-doc
 Provides: fftw3-dev
 Replaces: fftw3-dev
@@ -138,6 +151,20 @@
  This package contains the header files and static libraries.
  For documentation, see libfftw3-doc.
 
+Package: libfftw3-mpi-dev
+Architecture: any
+Section: libdevel
+Depends: libfftw3-mpi3 (=${binary:Version}), ${misc:Depends}
+Suggests: libfftw3-doc
+Multi-Arch: same
+Description: MPI Library for computing Fast Fourier Transforms - development
+ The FFTW library computes Fast Fourier Transforms (FFT) in one or more
+ dimensions. It is extremely fast. This package contains the statically linked
+ library, header files and test programs.
+ .
+ This package contains the header files and static libraries for the
+ mpi libraries. For documentation, see libfftw3-doc.
+
 Package: libfftw3-doc
 Architecture: all
 Section: doc
@@ -146,6 +173,7 @@
 Provides: fftw3-doc
 Replaces: fftw3-doc
 Conflicts: fftw3-doc
+Multi-Arch: foreign
 Description: Documentation for fftw version 3
  The FFTW library computes Fast Fourier Transforms (FFT) in one or more
  dimensions. It is extremely fast. This package contains the documentation for
@@ -155,13 +183,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libfftw3-dev (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libfftw3-dev (=${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Library for computing Fast Fourier Transforms - debug symbols
  The FFTW library computes Fast Fourier Transforms (FFT) in one or more
  dimensions. It is extremely fast. This package contains the statically linked
  library, header files and test programs.
  .
- This package contains debug packages.
+ This package contains debug packages for both serial and MPI versions.
  .
  For documentation, see libfftw3-doc.
