=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 SETCFLAGS := CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' CPPFLAGS='$(CPPFLAGS)'
 
 # common configure options
-archconfflags := $(archconfflags) --prefix=/usr --enable-shared --enable-threads --enable-openmp --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) MPILIBS="$(shell mpicc --showme:link)"
+archconfflags := $(archconfflags) --prefix=/usr --enable-shared --enable-threads --enable-openmp --enable-mpi --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) MPILIBS="$(shell mpicc --showme:link)"
 
 build-arch:
 	dh_autoreconf
@@ -103,6 +103,7 @@
 build-indep:
 	-(cd doc ; $(MAKE) -j1 -k clean)
 	-rm -f doc/*.info* doc/rfftwnd.png doc/html/*
+	[ -f doc/Makefile ] || ./configure
 	cd doc/FAQ && $(MAKE) -j1 fftw-faq.html fftw-faq.ascii
 	cd doc && $(MAKE) -j1 && $(MAKE) -j1 html
 	touch build-indep
@@ -151,7 +152,15 @@
 	  dh_install -plibfftw3-bin --sourcedir=debian/tmp-$$s; \
 	  dh_install -plibfftw3-$${s}3 --sourcedir=debian/tmp-$$s; \
 	  dh_install -plibfftw3-dev --sourcedir=debian/tmp-$$s; \
+	  if [ $$s != "quad" ]; then \
+	    dh_install -plibfftw3-mpi3 --sourcedir=debian/tmp-$$s; \
+	    dh_install -plibfftw3-mpi-dev --sourcedir=debian/tmp-$$s; \
+	    rm debian/libfftw3-$${s}3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi*; \
+	  fi; \
 	done
+	rm debian/libfftw3-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi* \
+	   debian/libfftw3-dev/usr/include/*mpi*
+	chrpath --delete debian/libfftw3-mpi3/usr/lib/$(DEB_HOST_MULTIARCH)/libfftw3*mpi*so*
 
 	find $(CURDIR)/debian/libfftw3-dev -type d -empty -delete
 
@@ -160,6 +169,10 @@
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -a
+	# 3.3.5 added new symbols, tighten shlibs for partial upgrades
+	set -e && for s in $(PREC); do \
+	  dh_makeshlibs -plibfftw3-$${s}3 -V "libfftw3-$${s}3 (>= 3.3.5)"; \
+	done
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
