## fftw3 3.3.6p2

=== debian/changelog ===
fftw3 (3.3.6p2-1) unstable; urgency=medium

  * Support NEON also for arm64 platform
  * ARM targets have --with-slow-timer enabled to avoid difficulties with
    erratic timers for planning and self-optimisation
  * Extend debian/watch to also recognize patchlevels
  * Team upload.

 -- Steffen Moeller <moeller@debian.org>  Wed, 10 May 2017 20:56:15 +0200
