=== debian/changelog ===
fftw3 (3.3.7-1) unstable; urgency=medium

  * Team upload.

  * debian/watch: New upstream version and fix to debian/watch to find it
  * debian/control: Updated policy to 4.1.2 - no changes required

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 Dec 2017 22:15:58 +0100

fftw3 (3.3.6p2-2) unstable; urgency=medium

  * debian/patches/reproducible_build.patch: include patch from Reiner
    Herrmann to improve reproducibility (closes: #796324)
  * debian/control: bump standards-version to 4.0.0

 -- Paul Brossier <piem@debian.org>  Mon, 21 Aug 2017 16:41:11 +0200
