=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fftw3.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/fftw3.git
 Homepage: http://fftw.org
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 
 Package: libfftw3-3
 Architecture: any
