=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,8 @@
 ifeq ($(ARCHITECTURE), powerpc)
 	archconfflags_single := --enable-altivec
 endif
-ifneq (,$(filter $(ARCHITECTURE), armhf))
-	archconfflags_single := --enable-neon
+ifneq (,$(filter $(ARCHITECTURE), armhf arm64))
+	archconfflags_single := --enable-neon --with-slow-timer
 endif
 endif
 
@@ -118,7 +118,8 @@
 	rm -f build-arch build-indep
 	(cd doc ; [ ! -f Makefile ] || $(MAKE) -k clean)
 	[ ! -f Makefile ] || $(MAKE) distclean
-	-rm -f *.la threads/*.la *.pc
+	-rm -f *.pc tools/*wisdom tools/*wisdom.1
+	-find . -name "*.la" | xargs -r rm -f
 	-rm -f test_long_long-double
 	-rm -f config.cache config.status config.log
 	-rm -rf debian/tmp-single debian/tmp-double debian/tmp-long debian/tmp-quad
